local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ISCFeature = require("src.enums.ISCFeature")
local ISCFeature = ____ISCFeature.ISCFeature
local ____shouldFire = require("src.shouldFire")
local shouldFireSlot = ____shouldFire.shouldFireSlot
local ____CustomCallback = require("src.classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostSlotInit = __TS__Class()
local PostSlotInit = ____exports.PostSlotInit
PostSlotInit.name = "PostSlotInit"
__TS__ClassExtends(PostSlotInit, CustomCallback)
function PostSlotInit.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireSlot
    self.featuresUsed = {ISCFeature.SLOT_UPDATE_DETECTION}
end
return ____exports
